body {
  background-color: #020a17;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
  font-family: "Poppins", sans-serif;
  color: white;
}

.container {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.coming-soon-image {
  max-width: 100%;
  height: auto;
  margin-bottom: 10px;
}

.name {
  font-size: 6em;
  margin-bottom: 2px;
  font-weight: 600;
}

.coming-soon {
  font-size: 2.5em;
  margin-top: 0;
  margin-bottom: 20px;
  color: #3994ff;
}

.socials {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
}

.social-box {
  display: flex;
  align-items: center;
  padding: 12px 20px;
  background: #ffffff1a;
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(7.3px);
  -webkit-backdrop-filter: blur(7.3px);
  transition: background 0.3s;
  cursor: pointer;
}

.social-box:hover {
  background: #ffffff33;
}

.social-box i {
  font-size: 1.3em;
  margin-right: 10px;
  color: white;
}

.social-box span {
  font-size: 1.3em;
  color: white;
  font-weight: 600;
}

.social-box a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: white;
  transition: none;
}

/* Media Queries for Mobile Responsiveness */
@media (max-width: 860px) {
  .name {
    font-size: 4em;
  }

  .coming-soon {
    font-size: 2em;
  }

  .social-box {
    padding: 12px 20px;
  }

  .social-box i {
    font-size: 1.2em;
  }

  .social-box span {
    font-size: 1.2em;
  }
}

@media (max-width: 580px) {
  .coming-soon-image {
    max-width: 90%;
    height: auto;
    margin-bottom: 10px;
  }

  .name {
    font-size: 3em;
  }

  .coming-soon {
    font-size: 1.4em;
  }

  .social-box {
    padding: 6px 12px;
  }

  .social-box i {
    font-size: 1em;
  }

  .social-box span {
    font-size: 1em;
  }
}

@media (max-width: 430px) {
  .coming-soon-image {
    max-width: 80%;
    height: auto;
    margin-bottom: 10px;
  }

  .name {
    font-size: 2.5em;
  }

  .coming-soon {
    font-size: 1.2em;
  }
}
